/* 
 * enCore
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __ENCORE_H__
#define __ENPATHIA_H__

#include <glib.h>

#define N_SWITCHES	8

typedef struct
{
	gint		type;
	gint		action;
	gint		modifiers;
	gboolean	auto_release;
}
Action;

extern Action	switch_action [N_SWITCHES];
extern gint		mouse_speed [3];
extern gint		mouse_stretch [2];
extern gint		joy_displacement;

extern gboolean	device_connected;

void
send_command	(gchar command, gchar p1, gchar p2, gchar p3, gchar p4, gchar p5, gchar p6);
void
handle_message	(gchar* message, guint n_bytes);

#endif /* __ENCORE_H__ */
