/* 
 * enCore
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __LAYOUT_H__
#define __LAYOUT_H__

#include <glib.h>

#define MODIF_LEFT_CTRL		0x01
#define MODIF_LEFT_SHIFT	0x02
#define MODIF_LEFT_ALT		0x04
#define MODIF_RIGHT_ALT		0x40

enum
{
	KEYB_LAYOUT_EN_US = 0,
	KEYB_LAYOUT_EN_UK,
	KEYB_LAYOUT_EL,
	KEYB_LAYOUT_ES,
	KEYB_LAYOUT_HE,
	KEYB_LAYOUT_DE,
	KEYB_LAYOUT_IT,
	KEYB_LAYOUT_PT,
	N_KEYB_LAYOUTS
};

typedef struct
{
	gchar*	text;
	guchar	code;
}
Key;

extern gint		current_keyb_layout;
extern gchar*	keyb_layout_name [N_KEYB_LAYOUTS];
extern gchar*	keyb_layout_print_name [N_KEYB_LAYOUTS];
extern GSequence*	keyb_layout [N_KEYB_LAYOUTS];


void
load_keyb_layouts	(void);

#endif  /* __LAYOUT_H__ */
