/* 
 * enCore
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __MISC_H__
#define __MISC_H__

#include <gtk/gtk.h>

#define FONT	"Sans"

void
wait_ms			(guint time);

void
find_data_dir	(void);
void
find_config_dir	(void);
gchar*
get_data_file 	(gchar* filename);
gchar*
get_config_file	(gchar* filename);

void
set_env_var		(gchar* name, gchar* value);
void
get_env_var		(gchar* name, gchar* value);

void
dialog_info			(gchar* title, gchar* message);
gboolean
dialog_yes_no		(gchar* title, gchar* message);
void
dialog_transient	(gchar* message, gchar* image_file);

gboolean
file_chooser	(gchar** filename, gchar* title, gboolean open, gchar* default_name,
		gchar* filter_name, gchar* filter_ext);

#endif /* __MISC_H__ */
